## osinfo_treelist

osinfo_treelist — A list of installation tree

## Functions

OsinfoTreeList * | osinfo_treelist_new ()
OsinfoTreeList * | osinfo_treelist_new_copy ()
OsinfoTreeList * | osinfo_treelist_new_filtered ()
OsinfoTreeList * | osinfo_treelist_new_intersection ()
OsinfoTreeList * | osinfo_treelist_new_union ()

## Types and Values

#define | OSINFO_TYPE_TREELIST

## Description

OsinfoTreeList is a list specialization that stores only OsinfoTree objects.

## Functions

### osinfo_treelist_new ()

    OsinfoTreeList *
    osinfo_treelist_new (void);

Construct a new tree list that is initially empty.

#### Returns

an empty tree list.

[transfer full]

Since: 0.1.0

### osinfo_treelist_new_copy ()

    OsinfoTreeList *
    osinfo_treelist_new_copy (OsinfoTreeList *source);

`osinfo_treelist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new tree list that is filled with trees from `source`

#### Parameters

source | the tree list to copy |

#### Returns

a copy of the tree list.

[transfer full]

Since: 0.1.0

### osinfo_treelist_new_filtered ()

    OsinfoTreeList *
    osinfo_treelist_new_filtered (OsinfoTreeList *source,
                                  OsinfoFilter *filter);

`osinfo_treelist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new tree list that is filled with trees from `source` that match `filter`

#### Parameters

source | the tree list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the tree list.

[transfer full]

Since: 0.1.0

### osinfo_treelist_new_intersection ()

    OsinfoTreeList *
    osinfo_treelist_new_intersection (OsinfoTreeList *sourceOne,
                                      OsinfoTreeList *sourceTwo);

`osinfo_treelist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new tree list that is filled with only the trees that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first tree list to copy |
sourceTwo | the second tree list to copy |

#### Returns

an intersection of the two tree lists.

[transfer full]

Since: 0.1.0

### osinfo_treelist_new_union ()

    OsinfoTreeList *
    osinfo_treelist_new_union (OsinfoTreeList *sourceOne,
                               OsinfoTreeList *sourceTwo);

`osinfo_treelist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new tree list that is filled with all the trees that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first tree list to copy |
sourceTwo | the second tree list to copy |

#### Returns

a union of the two tree lists.

[transfer full]

Since: 0.1.0

## Types and Values

### OSINFO_TYPE_TREELIST

    #define OSINFO_TYPE_TREELIST (osinfo_treelist_get_type ())

## See Also

OsinfoList, OsinfoTree